.app-footer-body {
  height: $app-footer-main-height;
  font-size: 1.5rem;
}


// apply footer for small screen

@media all and (min-width: 241px) and (max-width: 480px)  {
  .app-footer-body {
    font-size: 0.8rem;
    height: auto;
  }
  #smallscreen {
    display: none;
  }
  #iconimages {
    display: none;
  }
}

@media (min-width: 481px) and (max-width: 768px) {
  #iconimages {
    display: none;
  }
}

// Footer base
.app-footer-main {
  height: $app-footer-main-height;

  .app-footer-main__inner {
    padding: 0 $layout-spacer-x 0 ($layout-spacer-x / 2);
    height: $app-footer-main-height;

    display: flex;
    align-content: center;
    align-items: center;

    .app-footer-main-left {
      display: flex;
      align-items: center;
    }

    .app-footer-main-right {
      margin-left: auto;
      display: flex;
    }
  }
}

.bg-body-color {
  //background-color: #660000;
  //background-color: #841617;
  //background-color: #1B4D3E;
  background-color: #011b3a;
}

// Footer Dots Section

.footer-dots {
  display: flex;
  align-items: center;
  align-content: center;

  .dots-separator {
    height: 40px;
    margin: 0 ($layout-spacer-x / 2.5);
    width: 1px;
    background: $gray-200;
  }

  & > .dropdown {
    display: flex;
    align-content: center;

    & > .btn-link {
      text-decoration: none;
    }

    .dropdown-item {

      .flag {
        position: absolute;
        @include border-radius($border-radius-lg);

        & + span {
          padding-left: 50px;
        }
      }

      &:hover {
        .flag {
          opacity: 1;
        }
      }
    }
  }
}

.dot-btn-wrapper {
  padding: .5rem;
  position: relative;
  display: flex;
  opacity: .7;
  transition: opacity .2s;
  cursor: pointer;

  .badge-abs {
    right: 50% !important;

    &.badge-dot-sm {
      top: -2px;
      margin-right: -3px;
    }
  }

  .dot-btn-icon {
    font-size: 1.8rem;
  }

  &:hover {
    text-decoration: none;
    opacity: 1;
  }
}

// Footer Modifiers

@import "fixed-footer";
